#!/usr/bin/env bash

mkfile_from_symlink $CUSTOM_CONFIG_FILENAME


conf=""

if [[ ! -z $CUSTOM_TEMPLATE ]]; then
	conf+="apiKey: "
	conf+=$CUSTOM_TEMPLATE
	#while read -r line; do
	#	[[ -z $line ]] && continue
	#	conf+=$line
	#done  <<< "$CUSTOM_TEMPLATE"
fi

conf+="\n"

if [[ ! -z $CUSTOM_URL ]]; then
	conf+="server:\n"
	conf+="  xproxy: $CUSTOM_URL\n"
fi
conf+="\n"
conf+="extraParams:\n"
if [[ ! -z $CUSTOM_USER_CONFIG ]]; then
	while read -r line; do
		[[ -z $line ]] && continue
		conf+="  $line\n"
	done  <<< "$CUSTOM_USER_CONFIG"
fi
conf+="  enableGPU: 1\n"

# Detect whether to customize the device id
result=$(echo $CUSTOM_USER_CONFIG | grep "gpuDevice:") 
if [ -n "$result" ]; then
    echo "Use a custom GPU devices"
else
    echo "Use all GPU devices"

	conf+="  devices: "
	j=0

	for (( i=0; i < $(gpu-detect NVIDIA); i++ )); do
		if [ $j -ne 0 ]; then
			conf+=","
		fi
		conf+=$j
		((j++))
	done
#
#	for (( i=0; i < $(gpu-detect AMD); i++ )); do
#		if [ $j -ne 0 ]; then
#			conf+=","
#		fi
#
#		conf+=$j
#		((j++))
#	done
fi

echo -e "$conf" > $CUSTOM_CONFIG_FILENAME